! Copyright 1999 Stanford University
!All rights reserved
!
!Author:  Sergey Fomel
!
module adj_mod1
contains
  subroutine adjnull1(       adj, add, x, y)
    logical, intent (in) :: adj, add
    real, dimension (:)  :: x, y
    if( .not. add) then 
       if( adj) then
          x = 0.
       else 		    
          y = 0.
       end if
    end if
  end subroutine adjnull1
end module adj_mod1
